org.apache.cassandra.schema

## Class IndexMetadata.Serializer

- java.lang.Object
- - org.apache.cassandra.schema.IndexMetadata.Serializer

Enclosing class:
  IndexMetadata

    public static class IndexMetadata.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexMetadata` `deserialize(DataInputPlus in, int version, CFMetaData cfm)`
`void` `serialize(IndexMetadata metadata, DataOutputPlus out, int version)`
`long` `serializedSize(IndexMetadata metadata, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(IndexMetadata metadata,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public IndexMetadata deserialize(DataInputPlus in,
                                     int version,
                                     CFMetaData cfm)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(IndexMetadata metadata,
                               int version)